# Class CIM_AllocationSchedulingElement
extends CIM_SchedulingElement

This class is a subclass of the abstract class SchedulingElement. It introduces five new properties to support bandwidth-based scheduling. As is the case with all subclasses of SchedulingElement, the input associated with an instance of AllocationSchedulingElement is of one of two types: either a queue, or another scheduler.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SchedulingElement
|
+--CIM_AllocationSchedulingElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class is a subclass of the abstract class SchedulingElement. It introduces five new properties to support bandwidth-based scheduling. As is the case with all subclasses of SchedulingElement, the input associated with an instance of AllocationSchedulingElement is of one of two types: either a queue, or another scheduler.
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AllocationUnits | uint16 |
Description | string | A 16-bit unsigned integer enumeration that identifies the units in which the BandwidthAllocation and BurstAllocation properties are expressed. The following values are defined: - Bytes(1) - Packets(2) - Cells(3) (fixed-size, for example, ATM) If no value is specified, 1 ("Bytes") should be assumed.
ValueMap | string | 1, 2, 3
Values | string | Bytes, Packets, Cells
BandwidthAllocation | uint32 |
Description | string | A 32-bit bit unsigned integer defining the number of 'units' per second that should be allocated to the associated input. 'Units' are identified by the AllocationUnits property.
ModelCorrespondence | string | CIM_AllocationSchedulingElement.AllocationUnits
BurstAllocation | uint32 |

Description

string

A 32-bit bit unsigned integer specifying the amount of temporary or short-term bandwidth (in 'units' per second) that can be allocated to an input, beyond the amount of bandwidth allocated through the BandwidthAllocation property. If the maximum actual bandwidth allocation for the input were to be measured, it would be the sum of the BurstAllocation and the BandwidthAllocation properties. 'Units' are identified by the AllocationUnits property.

ModelCorrespondence | string | CIM_AllocationSchedulingElement.AllocationUnits
CanShare | boolean |
Description | string | A boolean property that, if TRUE, enables unused bandwidth from the associated input to be allocated to other inputs serviced by the Scheduler.
WorkFlexible | boolean |
Description | string | A boolean property that, if TRUE, indicates that the behavior of the scheduler relative to this input can be altered by changing the value of the inherited property, WorkConserving.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SchedulingElement
WorkConserving | boolean | CIM_SchedulingElement

## Class Methods